> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a specific price list

> Delete a specific price list by ID.



## OpenAPI

````yaml price-lists.openapi delete /price-lists/{id}
openapi: 3.0.0
info:
  title: Offers - Price Lists API
  description: >-
    fabric Price lists is a collection of items and their assigned prices. An
    item can exist in multiple price lists. This gives you the ability to assign
    different prices to the same item. Price lists let you set the currency and
    duration of the prices. For example, if the price list expires, prices of
    items within the price list will also expire.
  version: 3.0.0
  x-audience: external-public
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    name: Offers support
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://api.fabric.inc/v3
    description: Production environment
security: []
externalDocs:
  description: Find out more about Offers
  url: https://developer.fabric.inc/docs/offers-overview
paths:
  /price-lists/{id}:
    delete:
      tags:
        - Price Lists
      summary: Delete a specific price list
      description: Delete a specific price list by ID.
      operationId: deletePriceList
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xClientId'
        - $ref: '#/components/parameters/xFabricRequestId'
        - name: id
          in: path
          required: true
          description: >-
            The price list ID associated with the item generated using the
            [create price
            list](/v3/api-reference/offers/price-lists/create-price-list)
            endpoint.
          schema:
            type: integer
            format: int32
            example: 1000003
      responses:
        '200':
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deletePriceListResponse'
              example:
                id: 1000003
                name: US price list
                isDefault: false
                currency: USD
                channelId: '12'
                startAt: '2021-05-04T09:23:51.459Z'
                endAt: '2021-06-09T09:23:51.459Z'
                createdAt: '2019-08-20T14:15:22Z'
                updatedAt: '2019-08-20T14:15:22Z'
                isDeleted: true
        '400':
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/priceListIdInvalidError'
                  - $ref: '#/components/schemas/missingTenantHeader'
                  - $ref: '#/components/schemas/error400'
        '401':
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error401'
        '404':
          description: Not Found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/priceListNotFound'
        '500':
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
      security:
        - AuthorizationToken: []
components:
  parameters:
    xFabricTenantId:
      in: header
      name: x-fabric-tenant-id
      schema:
        type: string
        minLength: 24
        maxLength: 24
      required: true
      example: 5f328bf0b5f328bf0b5f328b
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
    xFabricChannelId:
      in: header
      name: x-fabric-channel-id
      schema:
        type: string
        example: '12'
      description: >-
        x-fabric-channel-id identifies the sales channel through which the API
        request is being made; primarily for multichannel use cases. It is a
        required field.
    xClientId:
      in: header
      name: x-client-id
      schema:
        type: string
      required: false
      example: copilot
      description: >-
        A unique identifier obtained from
        [Copilot](/v3/platform/settings/api-apps/getting-system-app-credentials)
        for the System app in the fabric ecosystem, essential for OpenID Connect
        authentication flows.
    xFabricRequestId:
      in: header
      name: x-fabric-request-id
      description: A unique request ID.
      required: false
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
  headers:
    xFabricRequestIdResponse:
      description: Unique request ID
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
  schemas:
    deletePriceListResponse:
      $ref: '#/components/schemas/priceList'
    priceListIdInvalidError:
      type: object
      description: Invalid price list ID
      properties:
        type:
          description: The error code.
          type: string
          example: PRICE_LIST_ID_INVALID
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Price list ID is required and must be an integer.
    missingTenantHeader:
      type: object
      description: Tenant header is missing
      properties:
        type:
          description: The error code.
          type: string
          example: TENANT_HEADER_REQUIRED
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: x-fabric-tenant-id header is required
    error400:
      type: object
      description: Bad request error
      properties:
        type:
          description: The error code.
          type: string
          example: BAD_REQUEST
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Bad request
    error401:
      type: object
      description: Unauthorized error
      properties:
        type:
          description: The error code.
          type: string
          example: UNAUTHORIZED
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Invalid credentials
    priceListNotFound:
      type: object
      description: Price list not found error
      properties:
        type:
          description: The error code.
          type: string
          example: PRICE_LIST_NOT_FOUND
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: No price list found with this ID
    error500:
      type: object
      description: Internal server error
      properties:
        type:
          description: The error code.
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Internal server error
    priceList:
      type: object
      description: The details of the price list.
      required:
        - id
        - name
        - isDefault
        - currency
        - createdAt
        - updatedAt
        - isDeleted
      properties:
        id:
          description: >-
            The price list ID associated with the item generated using the
            [create price
            list](/v3/api-reference/offers/price-lists/create-price-list)
            endpoint.
          type: integer
          format: int32
          example: 1000003
        name:
          description: The name of the price list.
          type: string
          example: US price list
        isDefault:
          description: >
            - `true`: This price list is designated as the default price list.

            - `false`: This price list isn't designated as the default price
            list.
          type: boolean
          example: false
        currency:
          description: The currency code of the price list.
          type: string
          format: iso-4217
          example: USD
        channelId:
          description: The sales channel.
          type: string
          example: '12'
        startAt:
          description: >-
            Start time for the price list to be active. If no value is sent, the
            current date will be set as the start date.
          type: string
          format: date-time
          example: '2021-05-04T09:23:51.459Z'
        endAt:
          description: >-
            The end time of price list. The end time must be specified if the
            price list's start time is provided.
          type: string
          format: date-time
          example: '2021-06-09T09:23:51.459Z'
        createdAt:
          $ref: '#/components/schemas/createdAt'
        updatedAt:
          $ref: '#/components/schemas/updatedAt'
        isDeleted:
          $ref: '#/components/schemas/isDeleted'
    createdAt:
      type: string
      format: date-time
      description: The timestamp of when the price list was created.
      example: '2019-08-20T14:15:22.000Z'
    updatedAt:
      type: string
      format: date-time
      description: The timestamp of when the price list was last updated.
      example: '2019-08-20T14:15:22.000Z'
    isDeleted:
      type: boolean
      description: |
        - `true`: The price list is deleted.
        - `false`: The price list isn't deleted.
      example: false
  securitySchemes:
    AuthorizationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````